Bug 252046 - Review Request: util-linux-ng (util-linux replacement)
Review Request: util-linux-ng (util-linux replacement)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
:
: 226520 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-13 16:52 EDT by Karel Zak
Modified: 2008-01-23 07:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-20 08:06:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mitr: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Karel Zak 2007-08-13 16:52:46 EDT
SRPM URL: http://people.redhat.com/kzak/util-linux/util-linux-ng-2.13-0.52.fc8.src.rpm

Description:
http://kernel.org/~kzak/util-linux-ng/

The util-linux-ng is a fork of the original util-linux project. The goal of the util-linux-ng is a transparent and reliable development that follows the Linux kernel and Linux distributions.

For more details see discusion at lkml 6 months ago.

Please, review ASAP! 

$ rpmlint util-linux-ng-2.13-0.52.fc8.src.rpm
W: util-linux-ng unversioned-explicit-obsoletes clock

.. this Warning is legacy from old util-linux. I have no clue how to fix it.
Comment 1 Karel Zak 2007-08-13 17:02:16 EDT
Note,  don't worry with release number. The version (upstream 2.13-rc3) is not
final yet. I'll update to the final 2.13-1 before Fedora Freeze.
Comment 2 Miloslav Trmač 2007-08-13 18:37:00 EDT
Blockers:
* Licensing:
  -  "If (and only if) the source package includes the text of the license(s) in
     its own file, then that file, containing the text of the license(s) for the
     package, must be included as documentation."
  - Please update License: per Packaging/LicensingGuidelines
* BuildRoot value is invalid, see Packaging/Guidelines
* Inconsistent use of both BuildRoot and %{buildroot}
* Use %config(noreplace) - at least for 60-raw.rules, I'm not sure about the
  files in /etc/pam.d/

Possible improvements:
* Obsoletes: clock - seems to be pre-Fedora, can be removed IMHO.
  Same for timeconfig.
* mnt_test_sysinfo.c:74: warning: right shift count >= width of type
  on i386 - probably should be fixed upstream
* BuildRequires: sed is unnecessary

Questions:
* does floppy really need %makeinstall?
* why is the [ "%{_infodir}" != "%{_prefix}/info" ... ] section necessary?
* why is (gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/ipc.info) necessary?
Comment 3 Karel Zak 2007-08-15 07:28:43 EDT
(In reply to comment #2)
> Blockers:
> * Licensing:
>   -  "If (and only if) the source package includes the text of the license(s) in
>      its own file, then that file, containing the text of the license(s) for the
>      package, must be included as documentation."

 Fixed, added README.licensing and licenses/* to %doc.

> * BuildRoot value is invalid, see Packaging/Guidelines

 Fixed.

> * Inconsistent use of both BuildRoot and %{buildroot}

 Fixed.

> * Use %config(noreplace) - at least for 60-raw.rules, I'm not sure about the
>   files in /etc/pam.d/

 Fixed, the "noreplace" used for pam.d/ files too.

> * Obsoletes: clock - seems to be pre-Fedora, can be removed IMHO.

 Fixed (removed).

>   Same for timeconfig.

 Fixed (removed).

> * mnt_test_sysinfo.c:74: warning: right shift count >= width of type

 Fixed (upstream).

> * BuildRequires: sed is unnecessary

 Fixed.

> * does floppy really need %makeinstall?

 No, fixed.

> * why is the [ "%{_infodir}" != "%{_prefix}/info" ... ] section necessary?

 Fixed (removed).

> * why is (gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/ipc.info) necessary?

 Fixed (removed).

Please, try a new version:
http://people.redhat.com/kzak/util-linux/util-linux-ng-2.13-0.53.fc8.x86_64.rpm
Comment 5 Miloslav Trmač 2007-08-15 17:46:59 EDT
Thanks, one more thing:
> - Please update License: per Packaging/LicensingGuidelines
Perhaps to:
  # See README.licensing
  License: GPLv2 and GPLv2+ and BSD and Public Domain
[Should "BSD" be "BSD with advertising"?]
Comment 6 Marcin Garski 2007-08-16 10:51:27 EDT
FYI: Maybe you could switch to floppy-0.16?
(http://sourceforge.net/project/showfiles.php?group_id=20137)
Comment 7 Karel Zak 2007-08-17 07:10:29 EDT
(In reply to comment #5)
>   License: GPLv2 and GPLv2+ and BSD and Public Domain
> [Should "BSD" be "BSD with advertising"?]

Well, fixed in upstream tree.

(In reply to comment #6)
> FYI: Maybe you could switch to floppy-0.16?
> (http://sourceforge.net/project/showfiles.php?group_id=20137)

Good point. Thanks. I need to review this version. Now I'd like to introduce
util-linux-ng to Fedora with the old and well tested floppy version. We can
update it later. It's nothing urgent.

All?
Comment 8 Miloslav Trmač 2007-08-17 07:30:19 EDT
To avoid another iteration - approved, but the approval is conditional on fixing
the License field as shown in comment #5.
Comment 9 Karel Zak 2007-08-17 07:34:06 EDT
Yes, I will update in spec file to:
  License: GPLv2 and GPLv2+ and BSD with advertising and Public Domain
Comment 10 Karel Zak 2007-08-17 07:53:21 EDT
New Package CVS Request
=======================
Package Name: util-linux-ng
Short Description: basic linux utils
Owners: kzak@redhat.com
Branches: 
InitialCC: 
Commits by cvsextras: no
Comment 11 Jason Tibbitts 2007-08-17 11:05:23 EDT
Note that with a scary license tag like that, you really need to describe
somewhere in the spec which files are under which license.  See the "Multiple
Licensing Scenarios" section of
http://fedoraproject.org/wiki/Packaging/LicensingGuidelines
Comment 12 Warren Togami 2007-08-17 14:31:17 EDT
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Please use the new request format.
Comment 13 Mamoru TASAKA 2008-01-23 07:30:37 EST
*** Bug 226520 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.